Saltar al contenido principal
PUT
CSharp (SDK)

Autorizaciones

Authorization
string
header
requerido

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

session_id
string
requerido
repository_id
integer
requerido

Cuerpo

application/json
assignment_generation
integer
requerido
Rango requerido: x >= 1
ref
string | null
Required string length: 1 - 255

Respuesta

Respuesta Exitosa

repository_id
integer
requerido
owner
string
requerido
repository
string
requerido
ref
string
requerido
base_sha
string
requerido
checkout_alias
string
requerido
checkout_path
string
requerido
status
enum<string>
requerido
Opciones disponibles:
cloning,
ready,
failed
created_at
string<date-time>
requerido
updated_at
string<date-time>
requerido
requested_ref
string | null
default_branch
string | null
failure
SessionRepositoryFailure · object | null
last_push
SessionRepositoryPush · object | null
pull_request
SessionRepositoryPullRequest · object | null